summaryrefslogtreecommitdiffstats
path: root/debian/exilog-agent.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/exilog-agent.init')
-rw-r--r--debian/exilog-agent.init91
1 files changed, 0 insertions, 91 deletions
diff --git a/debian/exilog-agent.init b/debian/exilog-agent.init
deleted file mode 100644
index b056b89..0000000
--- a/debian/exilog-agent.init
+++ /dev/null
@@ -1,91 +0,0 @@
-#! /bin/sh
-#
-# skeleton example file to build /etc/init.d/ scripts.
-# This file should be used to construct scripts for /etc/init.d.
-#
-# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
-# Modified for Debian
-# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
-#
-# Version: @(#)skeleton 1.9 26-Feb-2001 miquels@cistron.nl
-#
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/exilog_agent.pl
-NAME=exilog_agent.pl
-DESC="exilog log monitoring agent"
-
-test -x $DAEMON || exit 0
-
-# Include exilog defaults if available
-if [ -f /etc/default/exilog-agent ] ; then
- . /etc/default/exilog-agent
-fi
-
-if [ ! -f /etc/exilog/exilog.conf ] ; then
- echo "create exilog.conf first!"
- exit 0
-fi
-
-# should we handle the agent at all?
-test -z $START_AGENT && exit 0
-test "$START_AGENT" != "Yes" && exit 0
-
-# source lsb init-functions
-. /lib/lsb/init-functions
-
-set -e
-
-case "$1" in
- start)
- test ! -d /run/exilog && mkdir /run/exilog
- log_daemon_msg "Starting $DESC" $NAME
- start-stop-daemon \
- --start \
- --quiet --pidfile /run/exilog/agent.pid \
- --exec $DAEMON -- $DAEMON_OPTS
- log_end_msg $?
- ;;
- stop)
- log_daemon_msg "Stopping $DESC" $NAME
- start-stop-daemon \
- --stop \
- --oknodo \
- --quiet \
- --retry 5 \
- --pidfile /run/exilog/agent.pid
- log_end_msg $?
- ;;
- force-reload)
- #
- # If the "reload" option is implemented, move the "force-reload"
- # option to the "reload" entry above. If not, "force-reload" is
- # just the same as "restart" except that it does nothing if the
- # daemon isn't already running.
- # check wether $DAEMON is running. If so, restart
- start-stop-daemon \
- --stop \
- --test \
- --quiet \
- --pidfile \
- /run/exilog/agent.pid \
- && $0 restart \
- || exit 0
- ;;
- restart)
- log_daemon_msg "Restarting $DESC" $NAME
- start-stop-daemon --stop --oknodo --retry 5 --quiet --pidfile \
- /run/exilog/agent.pid
- sleep 1
- start-stop-daemon --start --quiet --pidfile \
- /run/exilog/agent.pid --exec $DAEMON -- $DAEMON_OPTS
- log_end_msg $?
- ;;
- *)
- N=/etc/init.d/$0
- echo "Usage: $N {start|stop|restart}" >&2
- exit 1
- ;;
-esac
-
-exit 0